<!DOCTYPE html>
<html lang="ru">
  <head>
    <meta charset="utf-8">
    <title>swiper</title>
    <meta name="description" content="о чем страница">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta property="og:image" content="path/to/image.jpg">
    <link rel="shortcut icon" type="image/png" href="img/favicon.png">
    
    <!-- Custom Browsers Color-->
    <meta name="theme-color" content="#FFC97B00">

    <link rel="stylesheet" href="swiper-bundle.min.css">
    <style type="text/css">
            .swiper-container {
                width: 80vw;
            }

            .swiper-slide {
                background-size: cover;
                background-position: 50%;
                min-height: 80vh;
                
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;

                position: relative;
                border: 1px solid blue;
                width: 100%;
            }

            .swiper-pagination {
                &-bullet {
                    background-color: transparent;
                    border: 2px solid #fff;
                    border-radius: 50%;
                    width: 12px;
                    height: 12px;
                    opacity: 1;
                }

                &-bullet-active {
                    background-color: #fff;
                }
            }

            .projects__arrow--next {
                right: -90px;
            }
            .projects__arrow {
                font-family: IBM Plex Mono;
                font-style: normal;
                font-weight: 500;
                font-size: 60px;
                line-height: 30px;
                color: #c97b00;
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                cursor: pointer;
                -webkit-user-select: none;
                -moz-user-select: none;
                -ms-user-select: none;
                user-select: none;
                outline: 0;
                display: none;
            }

            .projects__arrow {
                display: block;
                font-size: 40px;
            }
            .projects__arrow--prev {
                left: -90px;
            }

            .swiper-container {
                    position: unset;
            }

           .slide-title {
                color: #2a2a33;
                font-size: 16px;
                font-weight: 500;
                line-height: 21px;
                margin-bottom: 10px;
                width: 100%;
                text-align: center;
            }

            .slide-description {
                color: #350909;
                font-size: 1em;
                font-weight: 500;
                line-height: 15px;
                margin-bottom: 5px;
                width: 100%;
                text-align: center;
            }

            .slide-logo {
                filter: grayscale(1);
                max-height: 100%;
                transition: .2s;
                webkit-filter: grayscale(1);
                width: auto;
            }

    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>  
  </head>
  <body>

    
    <div class="swiper-container">
        

        <!-- swiper slides -->
        <div class="swiper-wrapper">
            <div class="swiper-slide"  style="background-image: url(https://images.unsplash.com/photo-1615065784323-b2dd88ea7e88?ixlib=rb-1.2.1&q=80&fm=jpg&crop=entropy&cs=tinysrgb&w=1080&fit=max);" >
                <h2 class="slide-title">SIMPLE SWIPER</h2>
            </div>
            
            <div class="swiper-slide" style="background-image: url(https://images.unsplash.com/photo-1614101829517-840383c4c42a?ixlib=rb-1.2.1&q=80&fm=jpg&crop=entropy&cs=tinysrgb&w=1080&fit=max);"> 
                <h2>HELLO WORLD</h2>
            </div>
            
            <div class="swiper-slide" style="background-image: url(https://source.unsplash.com/random?sig=52);">
                <h2>Random Text 1</h2>
            </div>
            
            <div class="swiper-slide" style="background-image: url(https://source.unsplash.com/random?sig=21);">
            </div>
            
            <div class="swiper-slide" style="background-image: url(https://source.unsplash.com/random?sig=53);">
            </div>
        </div>
        <!-- !swiper slides -->
        
        <!-- next / prev arrows -->
        <div class="swiper-button-next"></div>
        <div class="swiper-button-prev"></div>

        <!-- !next / prev arrows -->
        
        <!-- pagination dots -->
        <div class="swiper-pagination"></div>
        <!-- !pagination dots -->
    </div>

<script src="swiper-bundle.min.js"></script>
<script>
    
    // JS файл
        // new Swiper('.swiper-container'); 
        // let projectsBlock = $('.projects');
        // let projectsSlider = new Swiper(projectsBlock.find('.swiper-container'), {
        //     loop: true,
        //     spaceBetween: 7,
        //     autoHeight: true,
        //     autoplay: {
        //         delay: 3000,
        //     },
        // watchSlidesVisibility: true,
        // loopAdditionalSlides: 2,
        // navigation: {
        //     nextEl: projectsBlock.find('.projects__arrow--next'),
        //     prevEl: projectsBlock.find('.projects__arrow--prev'),
        // },
        // breakpointsInverse: true,
        // breakpoints: {
        //     0: {
        //         slidesPerView: 'auto',
        //         spaceBetween: 13,
        //     },
        //     576: {
        //         slidesPerView: 'auto',
        //     },
        //     980: {
        //         slidesPerView: 3
        //     }
        // }
    // });

    let projectsBlock = $('.projects');
    var Swipes = new Swiper('.swiper-container', {
        loop: true,
        navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev',
        },
        // navigation: {
        //     nextEl: projectsBlock.find('.projects__arrow--next'),
        //     prevEl: projectsBlock.find('.projects__arrow--prev'),
        // },
        pagination: {
            el: '.swiper-pagination',
        },
        breakpoints: {
            0: {
                slidesPerView: 'auto',
                spaceBetween: 5,
                width:100

            },
            576: {
                slidesPerView: 2,
                spaceBetween: 25,
                // width:120
            },
            980: {
                slidesPerView: 3,
                spaceBetween: 30,
                // width:200
            }
        },
        effect: 'slide',
        scrollbar: false,
        pagination: false

    });
</script> 
  </body>
</html>